com.corticon.rulesemf.canonicalvocabularymodel.metadata.database.provider

## Class PrimaryKeyMetadataItemProvider

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.edit.provider.ItemProviderAdapter
    - - com.corticon.rulesemf.canonicalvocabularymodel.metadata.database.provider.PrimaryKeyMetadataItemProvider

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

      public class PrimaryKeyMetadataItemProvider
      extends org.eclipse.emf.edit.provider.ItemProviderAdapter
      implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource

  This is the item provider adapter for a `PrimaryKeyMetadata` object.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

      `org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `org.eclipse.emf.common.notify.Adapter.Internal`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

      `adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrimaryKeyMetadataItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addPrimaryKeyCatalogNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Primary Key Catalog Name feature
    `protected void` | `addPrimaryKeyNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Primary Key Name feature
    `protected void` | `addPrimaryKeySchemaNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Primary Key Schema Name feature
    `protected void` | `addPrimaryKeyTableNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Primary Key Table Name feature
    `protected void` | `collectNewChildDescriptors(java.util.Collection newChildDescriptors, java.lang.Object object)` This adds `CommandParameter`s describing the children that can be created under this object
    `protected org.eclipse.emf.ecore.EStructuralFeature` | `getChildFeature(java.lang.Object object, java.lang.Object child)`
    `java.util.Collection` | `getChildrenFeatures(java.lang.Object object)` This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`
    `java.lang.Object` | `getImage(java.lang.Object object)` This returns PrimaryKeyMetadata.gif
    `java.util.List` | `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class
    `org.eclipse.emf.common.util.ResourceLocator` | `getResourceLocator()` Return the resource locator for this item provider's resources
    `java.lang.String` | `getText(java.lang.Object object)` This returns the label text for the adapted class
    `void` | `notifyChanged(org.eclipse.emf.common.notify.Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`

    - ### Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

      `addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildReference, getChildren, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getValue, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isResolveProxies, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider

      `createCommand, getChildren, getNewChildDescriptors, getParent`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider

      `getChildren, getParent, hasChildren`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider

      `getElements`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource

      `getEditableValue, getPropertyDescriptor`

- - ### Constructor Detail

    - #### PrimaryKeyMetadataItemProvider

          public PrimaryKeyMetadataItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

      This constructs an instance from a factory and a notifier.

  - ### Method Detail

    - #### getPropertyDescriptors

          public java.util.List getPropertyDescriptors(java.lang.Object object)

      This returns the property descriptors for the adapted class.
      Specified by:
        `getPropertyDescriptors` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
      Overrides:
        `getPropertyDescriptors` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

    - #### addPrimaryKeyNamePropertyDescriptor

          protected void addPrimaryKeyNamePropertyDescriptor(java.lang.Object object)

      This adds a property descriptor for the Primary Key Name feature.

    - #### addPrimaryKeyCatalogNamePropertyDescriptor

          protected void addPrimaryKeyCatalogNamePropertyDescriptor(java.lang.Object object)

      This adds a property descriptor for the Primary Key Catalog Name feature.

    - #### addPrimaryKeySchemaNamePropertyDescriptor

          protected void addPrimaryKeySchemaNamePropertyDescriptor(java.lang.Object object)

      This adds a property descriptor for the Primary Key Schema Name feature.

    - #### addPrimaryKeyTableNamePropertyDescriptor

          protected void addPrimaryKeyTableNamePropertyDescriptor(java.lang.Object object)

      This adds a property descriptor for the Primary Key Table Name feature.

    - #### getChildrenFeatures

          public java.util.Collection getChildrenFeatures(java.lang.Object object)

      This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.
      Overrides:
        `getChildrenFeatures` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

    - #### getChildFeature

          protected org.eclipse.emf.ecore.EStructuralFeature getChildFeature(java.lang.Object object,
                                                                 java.lang.Object child)

      Overrides:
        `getChildFeature` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

    - #### getImage

          public java.lang.Object getImage(java.lang.Object object)

      This returns PrimaryKeyMetadata.gif.
      Specified by:
        `getImage` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
      Overrides:
        `getImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

    - #### getText

          public java.lang.String getText(java.lang.Object object)

      This returns the label text for the adapted class.
      Specified by:
        `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
      Overrides:
        `getText` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

    - #### notifyChanged

          public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

      This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.
      Specified by:
        `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
      Overrides:
        `notifyChanged` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

    - #### collectNewChildDescriptors

          protected void collectNewChildDescriptors(java.util.Collection newChildDescriptors,
                                        java.lang.Object object)

      This adds `CommandParameter`s describing the children that can be created under this object.
      Overrides:
        `collectNewChildDescriptors` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

    - #### getResourceLocator

          public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

      Return the resource locator for this item provider's resources.
      Overrides:
        `getResourceLocator` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.